Skip to content

LateChg⁠

Perform various operations for Symitar parameters.

Operations⁠

getLateChgSelectFields⁠

POST

Execute the persistent ParameterService getLateChgSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LateChgLateChargeTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLateChgSelectFields
POST /nexum/627/persistent/parameter/getLateChgSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LateChgLateChargeType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLateChgFields": true,
    "LateChgFields": {
      "AddLateChargetoPmt": true,
      "AdditionalFlatFee": true,
      "IncludeEscrowAmount": true,
      "LateChargeFormula": true,
      "LateChargeGraceDays": true,
      "LateChargeMaximum": true,
      "LateChargeMinimum": true,
      "LateChargeRate": true,
      "LateChargeType": true,
      "Subformat": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLateChgPagedListSelectFields⁠

POST

Execute the persistent ParameterService getLateChgPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLateChgPagedListSelectFields
POST /nexum/627/persistent/parameter/getLateChgPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLateChgFields": true,
    "LateChgFields": {
      "AddLateChargetoPmt": true,
      "AdditionalFlatFee": true,
      "IncludeEscrowAmount": true,
      "LateChargeFormula": true,
      "LateChargeGraceDays": true,
      "LateChargeMaximum": true,
      "LateChargeMinimum": true,
      "LateChargeRate": true,
      "LateChargeType": true,
      "Subformat": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLateChgPagedSelectFields⁠

POST

Execute the persistent ParameterService searchLateChgPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLateChgPagedSelectFields
POST /nexum/627/persistent/parameter/searchLateChgPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLateChgFields": true,
    "LateChgFields": {
      "AddLateChargetoPmt": true,
      "AdditionalFlatFee": true,
      "IncludeEscrowAmount": true,
      "LateChargeFormula": true,
      "LateChargeGraceDays": true,
      "LateChargeMaximum": true,
      "LateChargeMinimum": true,
      "LateChargeRate": true,
      "LateChargeType": true,
      "Subformat": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLateChgByID⁠

POST

Execute the persistent ParameterService updateLateChgByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LateChgLateChargeTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLateChgByID
POST /nexum/627/persistent/parameter/updateLateChgByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LateChgLateChargeType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LateChgFields": {
    "AddLateChargetoPmt": 0,
    "AdditionalFlatFee": 0,
    "IncludeEscrowAmount": 0,
    "LateChargeFormula": 0,
    "LateChargeGraceDays": 0,
    "LateChargeMaximum": 0,
    "LateChargeMinimum": 0,
    "LateChargeRate": 0,
    "LateChargeType": 0,
    "Subformat": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}